[Pkg-freeipa-devel] pki: Changes to 'debian-unstable'

Timo Aaltonen tjaalton-guest at alioth.debian.org
Tue Mar 20 14:16:23 UTC 2012


 debian/control                     |    1 +
 debian/patches/debian-support.diff |    2 +-
 debian/pki-ca.prerm                |   16 ++++++++++++++++
 debian/pki-ocsp.prerm              |   16 ++++++++++++++++
 debian/pki-ra.prerm                |   16 ++++++++++++++++
 debian/pki-tks.prerm               |   16 ++++++++++++++++
 debian/pki-tps.prerm               |   16 ++++++++++++++++
 7 files changed, 82 insertions(+), 1 deletion(-)

New commits:
commit 80d508302d0c5321cec904d70d7d697038bc5203
Author: Timo Aaltonen <tjaalton at ubuntu.com>
Date:   Tue Mar 20 15:56:03 2012 +0200

    add a dependency on tomcat6 to pki-common

diff --git a/debian/control b/debian/control
index 2e5107c..bf5f81e 100644
--- a/debian/control
+++ b/debian/control
@@ -180,6 +180,7 @@ Depends: ${java:Depends}, ${misc:Depends},
  libxml-commons-external-java,
  libxml-commons-resolver1.1-java,
  adduser,
+ tomcat6,
 Description: Certificate System - PKI Common Framework
  The PKI Common Framework is required by the following four PKI subsystems:
  .

commit 07a857e7f2f31c415983ea3b0db2d7f752a6a1cf
Author: Timo Aaltonen <tjaalton at ubuntu.com>
Date:   Tue Mar 20 15:51:46 2012 +0200

    add prerm scripts with the error handler

diff --git a/debian/pki-ca.prerm b/debian/pki-ca.prerm
new file mode 100644
index 0000000..5ec50ee
--- /dev/null
+++ b/debian/pki-ca.prerm
@@ -0,0 +1,16 @@
+#!/bin/sh
+set -e
+
+. /usr/share/debconf/confmodule
+
+invoke_failure() {
+    # invoke-rc.d failed, likely because no instance has been configured yet
+    # but exit with an error if an instance is configured and the invoke failed
+    if [ ! -d /etc/pki-ca ]; then
+        echo "... because no CA instance has been configured yet."
+    else
+        exit 1
+    fi
+}
+
+#DEBHELPER#
diff --git a/debian/pki-ocsp.prerm b/debian/pki-ocsp.prerm
new file mode 100644
index 0000000..1ca3be2
--- /dev/null
+++ b/debian/pki-ocsp.prerm
@@ -0,0 +1,16 @@
+#!/bin/sh
+set -e
+
+. /usr/share/debconf/confmodule
+
+invoke_failure() {
+    # invoke-rc.d failed, likely because no instance has been configured yet
+    # but exit with an error if an instance is configured and the invoke failed
+    if [ ! -d /etc/pki-ocsp ]; then
+        echo "... because no OCSP instance has been configured yet."
+    else
+        exit 1
+    fi
+}
+
+#DEBHELPER#
diff --git a/debian/pki-ra.prerm b/debian/pki-ra.prerm
new file mode 100644
index 0000000..4c4afab
--- /dev/null
+++ b/debian/pki-ra.prerm
@@ -0,0 +1,16 @@
+#!/bin/sh
+set -e
+
+. /usr/share/debconf/confmodule
+
+invoke_failure() {
+    # invoke-rc.d failed, likely because no instance has been configured yet
+    # but exit with an error if an instance is configured and the invoke failed
+    if [ ! -d /etc/pki-ra ]; then
+        echo "... because no RA instance has been configured yet."
+    else
+        exit 1
+    fi
+}
+
+#DEBHELPER#
diff --git a/debian/pki-tks.prerm b/debian/pki-tks.prerm
new file mode 100644
index 0000000..b07e50c
--- /dev/null
+++ b/debian/pki-tks.prerm
@@ -0,0 +1,16 @@
+#!/bin/sh
+set -e
+
+. /usr/share/debconf/confmodule
+
+invoke_failure() {
+    # invoke-rc.d failed, likely because no instance has been configured yet
+    # but exit with an error if an instance is configured and the invoke failed
+    if [ ! -d /etc/pki-tks ]; then
+        echo "... because no TKS instance has been configured yet."
+    else
+        exit 1
+    fi
+}
+
+#DEBHELPER#
diff --git a/debian/pki-tps.prerm b/debian/pki-tps.prerm
new file mode 100644
index 0000000..6d9652e
--- /dev/null
+++ b/debian/pki-tps.prerm
@@ -0,0 +1,16 @@
+#!/bin/sh
+set -e
+
+. /usr/share/debconf/confmodule
+
+invoke_failure() {
+    # invoke-rc.d failed, likely because no instance has been configured yet
+    # but exit with an error if an instance is configured and the invoke failed
+    if [ ! -d /etc/pki-tps ]; then
+        echo "... because no TPS instance has been configured yet."
+    else
+        exit 1
+    fi
+}
+
+#DEBHELPER#

commit edf55fc79a425aa1890441fc0133773df054dd38
Author: Timo Aaltonen <tjaalton at ubuntu.com>
Date:   Mon Mar 19 16:46:35 2012 +0200

    debian-support.diff: fix the instance config path

diff --git a/debian/patches/debian-support.diff b/debian/patches/debian-support.diff
index 17ca2b2..64df8f9 100644
--- a/debian/patches/debian-support.diff
+++ b/debian/patches/debian-support.diff
@@ -115,7 +115,7 @@
  
      # Tomcat instance config directory
 -    $tomcat6_instance_config_path = "/etc/sysconfig";
-+    $tomcat6_instance_config_path = "/etc/dogtag";
++    $tomcat6_instance_config_path = "/etc/default";
  
      # Superuser and group to give to PKI installed files
      $root_user = "root";



More information about the Pkg-freeipa-devel mailing list